﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OZX
{
    public class OzxMessageFactory : IOzxMessageFactory
    {
        static IOzxMessageFactory _instance;
        public static IOzxMessageFactory Instance
        {
            get { return _instance ?? (_instance = new OzxMessageFactory()); }
            set { _instance = value; }
        }

        public IOzxMessage Create()
        {
            return new OzxMessage();
        }
    }
}
