﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OZX
{
    public class OzPDU_OZX_Send_SubmitFailed_Resp : OzPDU_OZX
    {
        //**********************************
        // Command ID
        //**********************************

        public override byte GetCommandID()
        {
            return Send_Failed_Resp; 
        }

        //**********************************
        // Data
        //**********************************

        public string MessageID;

        //**********************************
        // Encode
        //**********************************
        protected override byte[] EncodeData()
        {
            var messageIDBytes = OzCommonBytes.StringToBytes(MessageID);
            return messageIDBytes;
        }

        //**********************************
        // DecodeData
        //**********************************
        protected override void DecodeData(byte[] src, ref int offset)
        {
            MessageID = OzCommonBytes.BytesToString(src, ref offset);
        }
    }
}
